package io.gisbi.map.server;

import io.gisbi.api.map.GeoApi;
import io.gisbi.api.map.dto.GeometryNodeCreator;
import io.gisbi.map.manage.MapManage;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

@RestController
@RequestMapping("/geometry")
public class GeoServer implements GeoApi {

    @Resource
    private MapManage mapManage;
    @Override
    public void saveMapGeo(GeometryNodeCreator request, MultipartFile file) {
        mapManage.saveMapGeo(request, file);
    }

    @Override
    public void deleteGeo(String id) {
        mapManage.deleteGeo(id);
    }
}
